Bug 245170 - misc/exercism: fix build on aarch64
Summary: misc/exercism: fix build on aarch64
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: arm64 Any
: --- Affects Only Me
Assignee: Mikael Urankar
URL:
Keywords:
Depends on:
Blocks: 242312
  Show dependency treegraph
 
Reported: 2020-03-29 18:25 UTC by Mikael Urankar
Modified: 2021-09-09 16:40 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (swills)


Attachments
patch (1.96 KB, patch)
2020-03-29 18:25 UTC, Mikael Urankar
swills: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mikael Urankar freebsd_committer 2020-03-29 18:25:36 UTC
Created attachment 212841 [details]
patch

Unbreak by pulling in golang.org/x/sys@fead7900131 to fix build on aarch64
Comment 1 commit-hook freebsd_committer 2020-04-11 15:29:18 UTC
A commit references this bug:

Author: mikael
Date: Sat Apr 11 15:28:22 UTC 2020
New revision: 531429
URL: https://svnweb.freebsd.org/changeset/ports/531429

Log:
  misc/exercism: fix build on aarch64

  PR:		245170
  Approved by:	swills (maintainer)

Changes:
  head/misc/exercism/Makefile
  head/misc/exercism/distinfo
Comment 2 commit-hook freebsd_committer 2021-09-09 16:40:49 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=5ebd251bdd9a5b0d48a12bd749b2716faf3f0bb1

commit 5ebd251bdd9a5b0d48a12bd749b2716faf3f0bb1
Author:     Mikael Urankar <mikael@FreeBSD.org>
AuthorDate: 2021-09-09 15:12:55 +0000
Commit:     Mikael Urankar <mikael@FreeBSD.org>
CommitDate: 2021-09-09 16:40:34 +0000

    misc/exercism: Fix build on aarch64

    PR:             245170
    Approved by:    portmgr (build fix blanket)

 misc/exercism/Makefile | 2 +-
 misc/exercism/distinfo | 6 +++---
 2 files changed, 4 insertions(+), 4 deletions(-)